/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import "../icon/Icon";
import { LitElement } from "lit";
export declare namespace Favorite {
    const ELEMENT_base: import("../../mixins/FocusMixin").FocusMixinReturnType<typeof LitElement>;
    export class ELEMENT extends ELEMENT_base {
        disabled: boolean;
        checked: boolean;
        value: string;
        id: string;
        label: string;
        connectedCallback(): void;
        static get styles(): import("lit").CSSResult[];
        handleFavorite(): void;
        handleElectKeyDown(event: KeyboardEvent): void;
        disconnectedCallback(): void;
        get favoriteClassMap(): {
            "md-favorite--active": boolean;
            "md-favorite--disabled": boolean;
        };
        render(): import("lit-html").TemplateResult<1>;
    }
    export {};
}
declare global {
    interface HTMLElementTagNameMap {
        "md-favorite": Favorite.ELEMENT;
    }
}
